#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1693\r"; sleep 2;
echo -e "write (0,1) -1563\r"; sleep 2;
echo -e "write (0,2) -1600\r"; sleep 2;
echo -e "write (0,3) -1675\r"; sleep 2;
echo -e "write (0,4) -1618\r"; sleep 2;
echo -e "write (0,5) -1651\r"; sleep 2;
echo -e "write (0,6) -1658\r"; sleep 2;
echo -e "write (0,9) -1635\r"; sleep 2;
echo -e "write (0,10) -1547\r"; sleep 2;
echo -e "write (0,11) -1577\r"; sleep 2;
echo -e "write (0,12) -1454\r"; sleep 2;
echo -e "write (0,13) -1600\r"; sleep 2;
echo -e "write (0,14) -1627\r"; sleep 2;
echo -e "write (1,0) -1637\r"; sleep 2;
echo -e "write (1,1) -1540\r"; sleep 2;
echo -e "write (1,2) -1589\r"; sleep 2;
echo -e "write (1,3) -1560\r"; sleep 2;
echo -e "write (1,4) -1690\r"; sleep 2;
echo -e "write (1,5) -1459\r"; sleep 2;
echo -e "write (1,6) -1549\r"; sleep 2;
echo -e "write (1,9) -1439\r"; sleep 2;
echo -e "write (1,10) -1549\r"; sleep 2;
echo -e "write (1,11) -1303\r"; sleep 2;
echo -e "write (1,12) -1578\r"; sleep 2;
echo -e "write (1,13) -1435\r"; sleep 2;
echo -e "write (1,14) -1606\r"; sleep 2;
echo -e "write (2,0) -1579\r"; sleep 2;
echo -e "write (2,1) -1606\r"; sleep 2;
echo -e "write (2,2) -1601\r"; sleep 2;
echo -e "write (2,3) -1646\r"; sleep 2;
echo -e "write (2,4) -1524\r"; sleep 2;
echo -e "write (2,5) -1658\r"; sleep 2;
echo -e "write (2,6) -1530\r"; sleep 2;
echo -e "write (2,9) -1664\r"; sleep 2;
echo -e "write (2,10) -1617\r"; sleep 2;
echo -e "write (2,11) -1341\r"; sleep 2;
echo -e "write (2,12) -1582\r"; sleep 2;
echo -e "write (2,14) -1692\r"; sleep 2;
echo -e "write (3,0) -1597\r"; sleep 2;
echo -e "write (3,1) -1369\r"; sleep 2;
echo -e "write (3,2) -1423\r"; sleep 2;
echo -e "write (3,3) -1593\r"; sleep 2;
echo -e "write (3,4) -1514\r"; sleep 2;
echo -e "write (3,5) -1508\r"; sleep 2;
echo -e "write (3,6) -1346\r"; sleep 2;
echo -e "write (3,9) -1590\r"; sleep 2;
echo -e "write (3,10) -1600\r"; sleep 2;
echo -e "write (3,11) -1469\r"; sleep 2;
echo -e "write (3,12) -1677\r"; sleep 2;
echo -e "write (3,13) -1406\r"; sleep 2;
echo -e "write (3,14) -1532\r"; sleep 2;
echo -e "write (4,0) -1527\r"; sleep 2;
echo -e "write (4,1) -1524\r"; sleep 2;
echo -e "write (4,2) -1605\r"; sleep 2;
echo -e "write (4,3) -1646\r"; sleep 2;
echo -e "write (4,4) -1664\r"; sleep 2;
echo -e "write (4,5) -1385\r"; sleep 2;
echo -e "write (4,6) -1398\r"; sleep 2;
echo -e "write (4,9) -1552\r"; sleep 2;
echo -e "write (4,10) -1619\r"; sleep 2;
echo -e "write (4,11) -1525\r"; sleep 2;
echo -e "write (4,12) -1628\r"; sleep 2;
echo -e "write (4,13) -1542\r"; sleep 2;
echo -e "write (4,14) -1458\r"; sleep 2;
echo -e "write (5,0) -1523\r"; sleep 2;
echo -e "write (5,1) -1419\r"; sleep 2;
echo -e "write (5,2) -1418\r"; sleep 2;
echo -e "write (5,3) -1519\r"; sleep 2;
echo -e "write (5,4) -1622\r"; sleep 2;
echo -e "write (5,5) -1583\r"; sleep 2;
echo -e "write (5,6) -1549\r"; sleep 2;
echo -e "write (5,9) -1358\r"; sleep 2;
echo -e "write (5,10) -1638\r"; sleep 2;
echo -e "write (5,11) -1434\r"; sleep 2;
echo -e "write (5,12) -1527\r"; sleep 2;
echo -e "write (5,13) -1645\r"; sleep 2;
echo -e "write (5,14) -1674\r"; sleep 2;
echo -e "write (6,0) -1656\r"; sleep 2;
echo -e "write (6,1) -1638\r"; sleep 2;
echo -e "write (6,2) -1488\r"; sleep 2;
echo -e "write (6,3) -1620\r"; sleep 2;
echo -e "write (6,4) -1441\r"; sleep 2;
echo -e "write (6,5) -1318\r"; sleep 2;
echo -e "write (6,6) -1502\r"; sleep 2;
echo -e "write (6,9) -1612\r"; sleep 2;
echo -e "write (6,10) -1617\r"; sleep 2;
echo -e "write (6,11) -1546\r"; sleep 2;
echo -e "write (6,12) -1489\r"; sleep 2;
echo -e "write (6,13) -1521\r"; sleep 2;
echo -e "write (6,14) -1448\r"; sleep 2;
echo -e "write (7,0) -1478\r"; sleep 2;
echo -e "write (7,1) -1435\r"; sleep 2;
echo -e "write (7,2) -1231\r"; sleep 2;
echo -e "write (7,3) -1545\r"; sleep 2;
echo -e "write (7,4) -1600\r"; sleep 2;
echo -e "write (7,5) -1566\r"; sleep 2;
echo -e "write (7,6) -1551\r"; sleep 2;
echo -e "write (7,9) -1505\r"; sleep 2;
echo -e "write (7,10) -1647\r"; sleep 2;
echo -e "write (7,11) -1467\r"; sleep 2;
echo -e "write (7,12) -1330\r"; sleep 2;
echo -e "write (7,13) -1550\r"; sleep 2;
echo -e "write (7,14) -1553\r"; sleep 2;
echo -e "write (8,0) -1317\r"; sleep 2;
echo -e "write (8,1) -1604\r"; sleep 2;
echo -e "write (8,2) -1348\r"; sleep 2;
echo -e "write (8,3) -1567\r"; sleep 2;
echo -e "write (8,4) -1503\r"; sleep 2;
echo -e "write (8,5) -1575\r"; sleep 2;
echo -e "write (8,6) -1676\r"; sleep 2;
echo -e "write (8,9) -1489\r"; sleep 2;
echo -e "write (8,10) -1509\r"; sleep 2;
echo -e "write (8,11) -1600\r"; sleep 2;
echo -e "write (8,12) -1610\r"; sleep 2;
echo -e "write (8,13) -1395\r"; sleep 2;
echo -e "write (8,14) -1566\r"; sleep 2;
echo -e "write (9,0) -1271\r"; sleep 2;
echo -e "write (9,1) -1390\r"; sleep 2;
echo -e "write (9,2) -1203\r"; sleep 2;
echo -e "write (9,3) -1337\r"; sleep 2;
echo -e "write (9,4) -1412\r"; sleep 2;
echo -e "write (9,5) -1514\r"; sleep 2;
echo -e "write (9,6) -1485\r"; sleep 2;
echo -e "write (9,9) -1533\r"; sleep 2;
echo -e "write (9,10) -1237\r"; sleep 2;
echo -e "write (9,11) -1641\r"; sleep 2;
echo -e "write (9,12) -1496\r"; sleep 2;
echo -e "write (9,13) -1481\r"; sleep 2;
echo -e "write (9,14) -1434\r"; sleep 2;
echo -e "write (10,0) -1356\r"; sleep 2;
echo -e "write (10,1) -1449\r"; sleep 2;
echo -e "write (10,2) -1600\r"; sleep 2;
echo -e "write (10,3) -1600\r"; sleep 2;
echo -e "write (10,4) -1583\r"; sleep 2;
echo -e "write (10,5) -1485\r"; sleep 2;
echo -e "write (10,6) -1431\r"; sleep 2;
echo -e "write (10,9) -1651\r"; sleep 2;
echo -e "write (10,10) -1653\r"; sleep 2;
echo -e "write (10,11) -1552\r"; sleep 2;
echo -e "write (10,12) -1405\r"; sleep 2;
echo -e "write (10,13) -1619\r"; sleep 2;
echo -e "write (10,14) -1598\r"; sleep 2;
echo -e "write (11,0) -1388\r"; sleep 2;
echo -e "write (11,1) -1283\r"; sleep 2;
echo -e "write (11,2) -1574\r"; sleep 2;
echo -e "write (11,3) -1466\r"; sleep 2;
echo -e "write (11,4) -1280\r"; sleep 2;
echo -e "write (11,5) -1468\r"; sleep 2;
echo -e "write (11,6) -1606\r"; sleep 2;
echo -e "write (11,9) -1690\r"; sleep 2;
echo -e "write (11,10) -1477\r"; sleep 2;
echo -e "write (11,11) -1389\r"; sleep 2;
echo -e "write (11,12) -1352\r"; sleep 2;
echo -e "write (11,13) -1390\r"; sleep 2;
echo -e "write (11,14) -1420\r"; sleep 2;
echo -e "write (12,0) -1372\r"; sleep 2;
echo -e "write (12,1) -1342\r"; sleep 2;
echo -e "write (12,2) -1374\r"; sleep 2;
echo -e "write (12,3) -1522\r"; sleep 2;
echo -e "write (12,4) -1499\r"; sleep 2;
echo -e "write (12,5) -1485\r"; sleep 2;
echo -e "write (12,6) -1472\r"; sleep 2;
echo -e "write (12,9) -1421\r"; sleep 2;
echo -e "write (12,10) -1433\r"; sleep 2;
echo -e "write (12,11) -1324\r"; sleep 2;
echo -e "write (12,12) -1616\r"; sleep 2;
echo -e "write (12,13) -1607\r"; sleep 2;
echo -e "write (12,14) -1551\r"; sleep 2;
echo -e "write (13,0) -1549\r"; sleep 2;
echo -e "write (13,1) -1625\r"; sleep 2;
echo -e "write (13,2) -1695\r"; sleep 2;
echo -e "write (13,3) -1694\r"; sleep 2;
echo -e "write (13,4) -1600\r"; sleep 2;
echo -e "write (13,5) -1654\r"; sleep 2;
echo -e "write (13,6) -1638\r"; sleep 2;
echo -e "write (13,9) -1510\r"; sleep 2;
echo -e "write (13,10) -1589\r"; sleep 2;
echo -e "write (13,11) -1620\r"; sleep 2;
echo -e "write (13,12) -1424\r"; sleep 2;
echo -e "write (13,13) -1674\r"; sleep 2;
echo -e "write (13,14) -1558\r"; sleep 2;
echo -e "write (14,0) -1532\r"; sleep 2;
echo -e "write (14,1) -1403\r"; sleep 2;
echo -e "write (14,2) -1600\r"; sleep 2;
echo -e "write (14,3) -1628\r"; sleep 2;
echo -e "write (14,4) -1554\r"; sleep 2;
echo -e "write (14,5) -1393\r"; sleep 2;
echo -e "write (14,6) -1207\r"; sleep 2;
echo -e "write (14,9) -1471\r"; sleep 2;
echo -e "write (14,10) -1269\r"; sleep 2;
echo -e "write (14,11) -1368\r"; sleep 2;
echo -e "write (14,12) -1540\r"; sleep 2;
echo -e "write (14,13) -1440\r"; sleep 2;
echo -e "write (14,14) -1269\r"; sleep 2;
echo -e "write (15,0) -1438\r"; sleep 2;
echo -e "write (15,1) -1318\r"; sleep 2;
echo -e "write (15,2) -1164\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7006 > ../log/fms_hvon_7006_$t.tex
echo Set new HV
cat ../log/fms_hvon_7006_$t.tex
